Bug 871462 - [fix available] Libreoffice version in RHEL6 triggers various anti-virus software
[fix available] Libreoffice version in RHEL6 triggers various anti-virus soft...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreoffice (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Caolan McNamara
Desktop QE
:
Depends On:
Blocks: 960054
  Show dependency treegraph
 
Reported: 2012-10-30 09:29 EDT by Mark J. Cox (Product Security)
Modified: 2013-11-21 05:04 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-18.el6
Doc Type: Known Issue
Doc Text:
Libreoffice contains a number of harmless files used for testing purposes. However, on Microsoft Windows system, these files can trigger false positive alerts on various anti-virus software, such as Microsoft Security Essentials. For example, the alerts can be triggered when scanning the Red Hat Enterprise Linux 6 ISO file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 05:04:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2012-10-30 09:29:08 EDT
Libreoffice contains a number of harmless files used for testing purposes but these files trigger various AV software such as "Microsoft Security Essentials" with serious warnings.  This means that anyone scanning our source ISO with these tools will receive false positive virus alerts.

Upstream received lots of comments about this and decided to alter the files so they were not longer triggers; see
http://cgit.freedesktop.org/libreoffice/core/patch/sw/qa/core/data/ww8/pass/?id=e898bcc1c2f2d227d8b638dfbee01e393562e142

We should do the same for the next ASYNC libreoffice or RHEL6.4 whichever is earliest.
Comment 9 Tomas Hoger 2012-10-30 10:35:37 EDT
(In reply to comment #0)

> Upstream received lots of comments about this and decided to alter the files
> so they were not longer triggers; see
> http://cgit.freedesktop.org/libreoffice/core/patch/sw/qa/core/data/ww8/pass/
> ?id=e898bcc1c2f2d227d8b638dfbee01e393562e142

A better link to a complete commit including decoding code:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e898bcc1c2f2d227d8b638dfbee01e393562e142
Comment 11 Caolan McNamara 2012-10-30 12:18:10 EDT
doable, seeing as did it upstream already
Comment 21 Caolan McNamara 2012-11-22 05:17:16 EST
FWIW what we'd have to do (assuming that we're not going to rebase in 6.4 to a later version, which I think is a given for the moment) is to backport my decrypt-on-the-fly-during-tests code and then unpack the sources, crypt the offending docs, and repack the sources in order to not have the raw files in the .src.rpms
Comment 32 errata-xmlrpc 2013-11-21 05:04:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1594.html

Note You need to log in before you can comment on or make changes to this bug.